%global srcname jose
# Erlang packages do not provide debug subpackages
%global debug_package %{nil}


Name:    erlang-%{srcname}
Version: 1.8.4
Release: 3%{?dist}

License: MPLv2.0
Summary: JSON Object Signing and Encryption (JOSE) for Erlang and Elixir
URL:     https://github.com/potatosalad/erlang-jose
Source0: %{url}/archive/%{version}/%{srcname}-%{version}.tar.gz
# https://github.com/potatosalad/erlang-jose/pull/42
Patch0:  0000-Use-include-instead-of-include_lib-for-jose-in-tests.patch
# Workaround for https://github.com/potatosalad/erlang-jose/issues/47
Patch1:  0001-Remove-warnings_as_errors-to-work-around-47.patch

BuildRequires: erlang-base64url
BuildRequires: erlang-rebar
BuildRequires: erlang-triq


%description
%{summary}.


%prep
%autosetup -p1 -n %{name}-%{version}


%build
%{rebar_compile}


%check
%{rebar_eunit}


%install
%{erlang_install}


%files
%license LICENSE
%doc ALGORITHMS.md
%doc CHANGELOG.md
%doc examples
%doc README.md
%{erlang_appdir}


%changelog
* Sun Mar 25 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-3
- Work around FTBFS (#1560309).

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 14 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.8.4-1
- Initial release (#1534268).
